Skip to main content

Payments with Payment Instrument Tokens


This page describes payment operations using payment instrument tokens. You can authorize payments and make credits using payment instrument tokens that you have created.

Authorize a Payment with a Payment Instrument

You can authorize a payment using a payment instrument token that you created.

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "12345678"  },  "paymentInformation": {    "paymentInstrument": {      "id": "F4D5E715F7BD9910E053A2598D0A7278"    }  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.00"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6765713628736138103955/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6765713628736138103955"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6765713628736138103955/captures"    }  },  "clientReferenceInformation": {    "code": "12345678"  },  "id": "6765713628736138103955",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "10.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "instrumentIdentifier": {      "id": "7010000000016241111",      "state": "ACTIVE"    },    "paymentInstrument": {      "id": "F4D5E715F7BD9910E053A2598D0A7278"    },    "card": {      "type": "001"    },    "customer": {      "id": "F4D5E715F75E9910E053A2598D0A7278"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "60561224BE37KN5W",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-02-16T18:16:03Z"}
FieldTypeDescription
processingInformation.authorizationOptions.initiator.typestringThe type of authorization initiator. Set this value to merchant to indicate that the merchant is initiating the authorization on behalf of the customer.
paymentInstrument.idstringThe payment instrument token ID you want to use for the authorization.
Optional Fields
FieldTypeDescription
orderInformation.amountDetails.currencystringThe currency for the order. Use the three-character ISO Standard Currency Code.
orderInformation.amountDetails.totalAmountstringThe total amount for the order.
orderInformation.billTo.address1stringThe first line of the billing street address.
orderInformation.billTo.address2stringThe second line of the billing street address.
orderInformation.billTo.administrativeAreastringState or province in the billing address.
orderInformation.billTo.companystringThe name of the customer's company.
orderInformation.billTo.countrystringCountry of the billing address. Use the two-character ISO Standard Country Code.
orderInformation.billTo.emailstringThe customer's billing email address.
orderInformation.billTo.firstNamestringThe customer's first name.
orderInformation.billTo.lastNamestringThe customer's last name.
orderInformation.billTo.localitystringCity in the billing address.
orderInformation.billTo.phoneNumberstringThe customer's phone number.
orderInformation.billTo.postalCodestringZIP or postal code in the billing address.

Make a Credit with a Payment Instrument

You can make a credit using a payment instrument token that you created.

Endpoint

POST /pts/v2/credits

POST /pts/v2/credits

Example

{  "clientReferenceInformation": {    "code": "12345678"  },  "paymentInformation": {    "paymentInstrument": {      "id": "F4D5E715F7BD9910E053A2598D0A7278"    }  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.00"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/7055969586686467104953/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/7055969586686467104953"    }  },  "clientReferenceInformation": {    "code": "12345678"  },  "creditAmountDetails": {    "currency": "USD",    "creditAmount": "10.00"  },  "id": "7055969586686467104953",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "instrumentIdentifier": {      "id": "7010000000016241111",      "state": "ACTIVE"    },    "paymentInstrument": {      "id": "F4D5E715F7BD9910E053A2598D0A7278"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "approvalCode": "888888",    "responseCode": "100"  },  "reconciliationId": "67446174JRIKXXHB",  "status": "PENDING",  "submitTimeUtc": "2024-01-18T16:55:59Z"}
FieldTypeDescription
processingInformation.authorizationOptions.initiator.typestringThe type of authorization initiator. Set this value to merchant to indicate that the merchant is initiating the credit on behalf of the customer.
paymentInstrument.idstringThe payment instrument token ID you want to use for the credit.
orderInformation.amountDetails.totalAmountstringThe total amount for the credit.
Optional Fields
FieldTypeDescription
orderInformation.amountDetails.currencystringThe currency for the credit. Use the three-character ISO Standard Currency Code.
orderInformation.billTo.address1stringThe first line of the billing street address.
orderInformation.billTo.address2stringThe second line of the billing street address.
orderInformation.billTo.administrativeAreastringState or province in the billing address.
orderInformation.billTo.companystringThe name of the customer's company.
orderInformation.billTo.countrystringCountry of the billing address. Use the two-character ISO Standard Country Code.
orderInformation.billTo.emailstringThe customer's billing email address.
orderInformation.billTo.firstNamestringThe customer's first name.
orderInformation.billTo.lastNamestringThe customer's last name.
orderInformation.billTo.localitystringCity in the billing address.
orderInformation.billTo.phoneNumberstringThe customer's phone number.
orderInformation.billTo.postalCodestringZIP or postal code in the billing address.

Last published: September 29, 2026